Bug 47784 - ClassNotFoundException when init the xml security in OSGi plateform
ClassNotFoundException when init the xml security in OSGi plateform
Status: RESOLVED FIXED
Product: Security - Now in JIRA
Classification: Unclassified
Component: Canonicalization
unspecified
PC Mac OS X 10.4
: P2 normal
: ---
Assigned To: XML Security Developers Mailing List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2009-09-03 20:10 UTC by Willem
Modified: 2010-10-22 16:52 UTC (History)
0 users



Attachments
The patch introduced a ClassLoaderUtils to try loader the class from thread context classloader , caller classloader, ClassLoaderUtils classloader in the Transform register method. (10.21 KB, text/plain)
2009-09-03 20:10 UTC, Willem
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Willem 2009-09-03 20:10:35 UTC
Created attachment 24207 [details]
The patch introduced a ClassLoaderUtils to try loader the class from thread context classloader , caller classloader, ClassLoaderUtils classloader in the Transform register method.

Here is the stack trace.

java.lang.RuntimeException: java.lang.ClassNotFoundException:
org.apache.xml.security.transforms.implementations.TransformBase64Decode
    at org.apache.xml.security.transforms.Transform.register(Unknown Source)
    at org.apache.xml.security.Init.init(Unknown Source)
    at org.apache.ws.security.WSSConfig.staticInit(WSSConfig.java:279)
    at org.apache.ws.security.WSSConfig.<init>(WSSConfig.java:304)
    at org.apache.ws.security.WSSConfig.getNewInstance(WSSConfig.java:313)
    at org.apache.ws.security.WSSConfig.getDefaultWSConfig(WSSConfig.java:322)
    at
org.apache.ws.security.WSSecurityEngine.getWssConfig(WSSecurityEngine.java:155)
    at com.fusesource.security.Activator.start(Activator.java:17)

You can find the back ground of this issue here[1]

[1]http://fusesource.com/issues/browse/ESB-838
Comment 1 coheigea 2009-09-04 08:46:03 UTC
Patch applied, thanks.

Colm.
Comment 2 sean.mullan 2010-10-19 13:29:13 UTC
This fix has introduced a regression that I am trying to address. I would like to read the background of this issue which you had noted previously:

  You can find the back ground of this issue here[1]

  [1]http://fusesource.com/issues/browse/ESB-838

However, I am not a member of fuse and don't have access. Can you please post/attach the contents of that issue here?
Comment 3 sean.mullan 2010-10-22 16:52:52 UTC
Closed again as fixed after correcting some mistakes in my test environment setup.